Subject: Bug#854: [X2Go-Dev] Bug#854: Ubuntu 14.04: xinerama broken

From: Mihai Moldovan <[email-masked]>
Date: Sat, 25 Apr 2015 12:51:33 +0200

On 25.04.2015 10:13 AM, Ulrich Sibiller wrote:
> Package: x2goclient, nx-x11-common
> Version: 4.0.3.2-0~800~ubuntu14.04.1
> 
> As far as I know opening an x2go session from a display that uses xinerama should do the following on the server side:
> - create a xinerama.conf with the xinerama setting on the client side
> - set NX_XINERAMA_CONF in the envrionment
> - extend the LD_LIBRARY_PATH to point to the nx xinerama lib.
> 
> When I open an x2go session to my local machine (the same where the x2goclient is running) this does not work for several reasons:
> 1. /usr/lib/nx/X11/Xinerama/libXinerama.so.1 points to the i386 version of the lib which is not existing on my 64 bit machine. dpkg -S shows that this is coming from the package nx-x11-common. So obviously this is broken.

That's a problem. Will take a look at this.

> 2. After fixing issue 1 by linking to the 64bit version it still does not work. This is because for Ubuntu there is only x2goclient 4.0.3 but you need 4.0.4 for xinerama... So could someone please update the Ubuntu repo?

I've fixed Xinerama in 4.0.4.0 thanks to other people's patches, yes. I haven't released this version yet, though, because it's not done for release.
Thus, 4.0.4.0 is only available via the heuler/nightly PPA atm.

Mihai